export type AddEvent = {
    newNum: number;
    asCopy?: number;
};
export type CopyEvent = {
    row: HTMLElement;
    toEnd?: boolean;
};
export type DeleteEvent = {
    oldNum: number;
};
export type ReorderEvent = {
    oldNum: number;
    newNum: number;
};
export declare function toggleEmptyState(container: HTMLElement, show: boolean): void;
export declare function getRowNum(row: HTMLElement): number;
export declare function appendRow(table: HTMLElement, changeFunc?: (node: JQuery) => void): void;
declare function Table(form: JQuery | HTMLElement, props?: {
    move?: boolean;
    copy?: boolean;
    excel?: boolean;
}): void;
export default Table;
